Metafunction
SequenceEntryForScore
Returns representation type for a character of a position in a sequence.
This is used for unified interfaces for position dependent and independent scores.
SequenceEntryForScore<TScore, TSequence>::Type
Include Headers
seqan/score.h
Parameters

TScore | The score type to use. Types: Score
TSequence | The underlying sequence of the alignments or gaps. Types: SequenceConcept

Member of
Score
Functions

score | Returns the score for aligning the entries entryH and entryV.
scoreGapExtendHorizontal | Returns the score for extending a gap in horizontal direction.
scoreGapExtendVertical | Returns the score for extending a gap in vertical direction.
scoreGapHorizontal | Returns the score for a gap in horizontal direction.
scoreGapOpenHorizontal | Returns the score for opening a gap in horizontal direction.
scoreGapOpenVertical | Returns the score for opening a gap in vertical direction.
scoreGapVertical | Returns the score for a gap in vertical direction.

See Also
SequenceEntryForScore, ConsensusScoreSequenceEntry
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59